TempManualCampaign
Stored in the tempmanualcampaigns collection. createdAt and updatedAt are maintained automatically.
Returned by GET /campaign/manual, GET /campaign/manual/:id.
| Field | Type | Notes |
|---|---|---|
templateId | ObjectId | required |
file | ObjectId -> File | |
templateName | string | required |
templateSubject | string | |
campaignType | string | required · one of email, whatsapp |
columnMapping | map | required |
campaignData | map[] | default [] |
delaySeconds | number | default 0 |
status | string | default pending · one of pending, in-progress, completed, failed, paused |
totalContacts | number | default 0 |
processedContacts | number | default 0 |
failedContacts | number | default 0 |
successfulContacts | number | default 0 |
errors | object[] | default [] |
errors.rowIndex | number | |
errors.contactNumber | string | |
errors.error | string | |
errors._id | ObjectId | default "6a95712f932657988a91c0de" |
messageIds | ObjectId[] | default [] |
messageIdType | string | one of SmtpMessage, WhatsAppMessage |
startedAt | date | |
completedAt | date | |
company | ObjectId -> Company | required |
createdBy | ObjectId -> Member | required |
updatedBy | ObjectId -> Member | |
_id | ObjectId | default "6a95712f932657988a91c0df" |
createdAt | date | set once |
updatedAt | date |